.\"
.\" Created by Torsten Marek <shlomme@debian.org>
.\" Updated for PyQt5 by Dmitry Shachnev <mitya57@debian.org>

.TH PYUIC5 1 "2013/06/29" "pyuic 5.0"
.SH NAME
pyuic5 \- compile Qt5 user interfaces to Python code
.SH SYNOPSIS
.B pyuic5
[\fIOPTION\fR]... \fIFILE\fR
.SH DESCRIPTION
.B pyuic5
takes a Qt5 user interface description file and compiles it to Python code. It can also show a preview of the user interface.

.SH OPTIONS
.TP
\fB\-h\fR, \fB\-\-help\fR
Show a summary of the options.
.TP
.B \-\-version
Display the version number of the version of Qt which PyQt5 was generated for.
.TP
\fB\-p\fR, \fB\-\-preview\fR
Show a preview of the UI instead of generating Python code.
.TP
\fB\-o\fR, \fB\-\-output\fR=\fIFILE\fR
Write the generated Python code to \fIFILE\fR instead of stdout.
.TP
\fB\-d\fR, \fB\-\-debug\fR
Show detailed debugging information about the UI generation process.
.TP
\fB\-x\fR, \fB\-\-execute\fR
Generate extra code to test and display the class when executed as a script.
.TP
\fB\-i\fR, \fB\-\-indent\fR=\fINUM\fR
Set the indentation width to \fINUM\fR spaces. A TAB character will be used if \fINUM\fR is 0 (default: 4).
.SH AUTHOR
This manual page was written for Debian GNU/Linux by Torsten Marek <shlomme@debian.org>, but may freely be used by others.
